/**
* @license Apache-2.0
*
* Copyright (c) 2024 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

'use strict';

/**
* Test if two single-precision floating-point numbers are the same value.
*
* @module @stdlib/number-float32-base-assert-is-same-value
*
* @example
* var toFloat32 = require( '@stdlib/number-float64-base-to-float32' );
* var isSameValuef = require( '@stdlib/number-float32-base-assert-is-same-value' );
*
* var bool = isSameValuef( toFloat32( 3.14 ), toFloat32( 3.14 ) );
* // returns true
*
* bool = isSameValuef( toFloat32( -0.0 ), toFloat32( -0.0 ) );
* // returns true
*
* bool = isSameValuef( toFloat32( -0.0 ), toFloat32( 0.0 ) );
* // returns false
*
* bool = isSameValuef( toFloat32( NaN ), toFloat32( NaN ) );
* // returns true
*/

// MODULES //

var main = require( './main.js' );


// EXPORTS //

module.exports = main;
